/**
 *
 */
import React, { Component } from "react";
import { connect } from "dva";
import { Pagination, message, Icon, Input, Button, Tooltip } from "antd";
@connect((state) => ({
  conversationList: state.im.conversationList,
}))
export default class SendBar extends Component {
  constructor(props) {
    super(props);
    this.state = {
     
    };
  }

  componentWillReceiveProps(nextProps) {}
  render() {
    return (
      <span className="send-header-bar">
        <Tooltip placement="bottom" title="文字调度">
          <Icon
            type="form"
            style={{ fontSize: "17px" }}
            onClick={(e) => {
              // e.stopPropagation(), //合成事件停止冒泡
                this.props.clickTextScheduling(e, "text");
            }}
          />
        </Tooltip>
        <Tooltip
          placement="bottom"
          title="语音调度"
          onClick={(e) => {
            // e.stopPropagation(), //合成事件停止冒泡
              this.props.clickTextScheduling(e, "voice");
          }}
        >
          <Icon type="audio" style={{ fontSize: "17px" }} />
        </Tooltip>
        <Tooltip
          placement="bottom"
          title="视频调度"
          onClick={(e) => {
            // e.stopPropagation(), //合成事件停止冒泡
              this.props.clickTextScheduling(e, "video");
          }}
        >
          <Icon type="video-camera" style={{ fontSize: "17px" }} />
        </Tooltip>
      </span>
    );
  }
}
